Subject: bug#44217: bug#44216: 28.0.50; Incorret during delete in Tramp: Trashing...done

From: Michael Albinus <[email-masked]>
Date: Tue, 27 Oct 2020 21:12:35 +0100

Jean Louis <[email-masked]> writes:

Hi Jean,

>> The Trash specification
>> <https://specifications.freedesktop.org/trash-spec/trashspec-latest.html>
>> says
>
> Not universal for every OSs. Freedesktop specification is exclusively
> for GNU/Linux which accept parts or whole of Freedesktop, yet there
> are those which do not.

GNU/Linux is the primary target for Emacs. It is perfect to support its spec.

> Emacs should not be exclusively for GNU/Linux. It is used on plethora
> of *BSD derivatives, on UNIX, then on OS X, etc. So not each is
> supporting that. There wil be new fully free OS HyperbolaBSD that may
> not support Freedesktop but will support many GNU programs.

Emacs is not exclusively for GNU/Linux, but it regards it as its home.
If the function system-move-file-to-trash is defined, it is called
inside move-file-to-trash. For w32 systems, this function is
defined. *BSD or macOS or whatever platform could define an own
system-move-file-to-trash as well.

Best regards, Michael.